Page MenuHomePhabricator

Upgrade Tracker to new SW version
Open, LowPublicDec 31 2019

Description

Component Used versionAs of Latest available version
Python2.7March 20193.x
Django1.8.19March 20192.1.2

This needs to be done before 1 January 2020 because of Python 2.7 depracation.

Details

Due Date
Dec 31 2019, 11:00 AM

Event Timeline

Urbanecm created this task.Oct 10 2018, 8:14 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 10 2018, 8:14 AM
Urbanecm updated the task description. (Show Details)Oct 10 2018, 10:53 AM
Urbanecm triaged this task as Low priority.Nov 15 2018, 2:55 PM

Change 477042 had a related patch set uploaded (by Takidelfin; owner: Takidelfin):
[wikimedia-cz/tracker@master] Django: Update django version from 1.8 to 1.9

https://gerrit.wikimedia.org/r/477042

Change 477042 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Django: Update django version from 1.8 to 1.9

https://gerrit.wikimedia.org/r/477042

Change 477106 had a related patch set uploaded (by Takidelfin; owner: Takidelfin):
[wikimedia-cz/tracker@master] Django: Fix Django 1.10 deprecation warnings

https://gerrit.wikimedia.org/r/477106

Urbanecm closed this task as Invalid.Mar 25 2019, 4:54 PM

Will convert to more systematic group of tasks.

Urbanecm reopened this task as Open.Mar 25 2019, 8:11 PM

Reviving.

Urbanecm set Due Date to Dec 31 2019, 11:00 AM.Mar 25 2019, 8:11 PM
Urbanecm removed a project: Patch-For-Review.
Urbanecm updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 25 2019, 8:11 PM
Urbanecm renamed this task from Upgrade Tracker to new Django version to Upgrade Tracker to new SW version.Mar 25 2019, 8:12 PM
Urbanecm updated the task description. (Show Details)
Urbanecm removed a subscriber: gerritbot.